Bug 1489399 - subscription-manager-cockpit displays raw error message when letting password field empty
Summary: subscription-manager-cockpit displays raw error message when letting password...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: subscription-manager
Version: 7.5
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: rc
: ---
Assignee: Jiri Hnidek
QA Contact: Jan Stavel
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-07 11:30 UTC by Jan Stavel
Modified: 2018-04-10 09:51 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-10 09:51:13 UTC


Attachments (Terms of Use)
a screenshot of a raw error message (128.25 KB, image/png)
2017-10-02 10:56 UTC, Jan Stavel
no flags Details
Better error message, when no password is provided. (25.81 KB, image/png)
2017-11-22 15:14 UTC, Jiri Hnidek
no flags Details
Error: Missing username/password (105.62 KB, image/png)
2018-01-31 07:49 UTC, Shwetha Kallesh
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2018:0681 None None None 2018-04-10 09:51:43 UTC
Github candlepin subscription-manager pull 1727 None None None 2017-11-22 15:12:29 UTC

Description Jan Stavel 2017-09-07 11:30:33 UTC
Description of problem:

When I open 'Register system' dialog
   and fill 'Login' field
   and let 'Password' field empty
   and click 'Register'

Then a raw message 

    'Error: /usr/lib64/python2.7/getpass.py:83: GetPassWarning: Can not control echo on the terminal. passwd = fallback_getpass(prompt, stream) Warning: Password input may be echoed. Password: Registering to: subscription.rhsm.stage.redhat.com:443/subscription'

   appears.

Version-Release number of selected component (if applicable):

   [root@jstavel-rhel7-latest-server ~]# rpm -qa | grep cockpit
   cockpit-bridge-138-9.el7.x86_64
   cockpit-system-138-9.el7.noarch
   cockpit-138-9.el7.x86_64
   cockpit-ws-138-9.el7.x86_64


Actual results:

Raw result with python related info.

Expected results:

Something better from customer's perspective.

Comment 2 Jan Stavel 2017-10-02 10:56:18 UTC
Created attachment 1333181 [details]
a screenshot of a raw error message

Comment 3 Jiri Hnidek 2017-11-22 15:12:29 UTC
I think that this bug is fixed by existing PR (not merged yet). I'm adding link to this PR.

Comment 4 Jiri Hnidek 2017-11-22 15:14:16 UTC
Created attachment 1357599 [details]
Better error message, when no password is provided.

Comment 6 Shwetha Kallesh 2018-01-31 07:49:03 UTC
Created attachment 1388766 [details]
Error: Missing username/password

Moving bug to verified .

Proper error message is now thrown to the user

[root@bkr-hv03-guest18 ~]# rpm -qa | grep cockpit
cockpit-160-2.el7.x86_64
cockpit-bridge-160-2.el7.x86_64
subscription-manager-cockpit-1.20.10-1.el7.noarch
cockpit-system-160-2.el7.noarch
cockpit-ws-160-2.el7.x86_64

Comment 9 errata-xmlrpc 2018-04-10 09:51:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2018:0681


Note You need to log in before you can comment on or make changes to this bug.